unit print;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, CJVBarCode, QRCtrls, QuickRpt, DB, DBTables, ExtCtrls;

type
  TfPrint = class(TForm)
    QuickRep1: TQuickRep;
    QRBand1: TQRBand;
    DataSource1: TDataSource;
    Table1: TTable;
    QRDBText1: TQRDBText;
    QRDBText2: TQRDBText;
    QRDBText3: TQRDBText;
    QRDBText4: TQRDBText;
    QRDBText5: TQRDBText;
    QRImage1: TQRImage;
    CJVBarCode1: TCJVBarCode;
    Table1Name: TStringField;
    Table1Capital: TStringField;
    Table1Continent: TStringField;
    Table1Area: TFloatField;
    Table1Population: TFloatField;
    QRImage2: TQRImage;
    procedure QRBand1BeforePrint(Sender: TQRCustomBand;
      var PrintBand: Boolean);
    procedure QuickRep1AfterPreview(Sender: TObject);
    procedure QuickRep1BeforePrint(Sender: TCustomQuickRep;
      var PrintReport: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fPrint: TfPrint;

implementation

{$R *.dfm}

procedure TfPrint.QRBand1BeforePrint(Sender: TQRCustomBand;
  var PrintBand: Boolean);
var sCampo1,sCampo2: String;
begin
  sCampo1:=Table1.fieldbyname('Name').AsString+'/'+Table1.fieldbyname('Capital').AsString;
  sCampo2:=Table1.fieldbyname('Population').AsString;
  CJVBArCode1.CriaBarras128(sCampo1,'B',CJVBarCode1.Esquerda,CJVBarCode1.Superior,CJVBarCode1.Pen.width,CJVBarCode1.Altura,true,QRImage1.Canvas);
  CJVBArCode1.CriaBarrasI25(sCampo2,CJVBarCode1.Esquerda,CJVBarCode1.Superior,CJVBarCode1.Pen.width,CJVBarCode1.Altura,true,QRImage2.Canvas);
end;

procedure TfPrint.QuickRep1AfterPreview(Sender: TObject);
begin
  table1.close;
end;

procedure TfPrint.QuickRep1BeforePrint(Sender: TCustomQuickRep;
  var PrintReport: Boolean);
begin
  table1.Open;
end;

end.
